LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XValidityConstraintListener Interface Reference

specifies an interface for listening for changes in the validity constraints represented by an XValidator. More...

`import"XValidityConstraintListener.idl";`

Inheritance diagram for XValidityConstraintListener:

## Public Member Functions
void | validityConstraintChanged ([in] com::sun::star::lang::EventObject Source)
| called when the validity constraint represented by an XValidator, at which the listener is registered, changed. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies an interface for listening for changes in the validity constraints represented by an XValidator.

## Member Function Documentation

## ◆ validityConstraintChanged()

void validityConstraintChanged | ( | [in] com::sun::star::lang::EventObject | Source | ) |

called when the validity constraint represented by an XValidator, at which the listener is registered, changed.

Parameters

  Source | The event source. The member com::sun::star::lang::EventObject::Source represents the validator component whose validity constraint changed.

The documentation for this interface was generated from the following file:

- com/sun/star/form/validation/XValidityConstraintListener.idl